<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.Rename Method (String, String, String)
BaseDatabase Class See Also

Rename the database specified by Filename and DatabaseName.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public static void Rename(
    	string Filename,
    	string DatabaseName,
    	string NewName
    )

Visual Basic (Declaration)

    Public Shared Sub Rename ( _
    	Filename As String, _
    	DatabaseName As String, _
    	NewName As String _
    )

Visual C++

    public:
    static void Rename(
    	String^ Filename,
    	String^ DatabaseName,
    	String^ NewName
    )

#### Parameters

Filename
  Type: System..::.String
  The file to rename

DatabaseName
  Type: System..::.String
  The database to rename

NewName
  Type: System..::.String
  The new database name

# See Also

BaseDatabase Class
Rename Overload
BerkeleyDB Namespace